Error consuming SOAP after upgrade to Outsystems 11

Hello,

After upgrading to Outsystems 11, it does not work to consume a SOAP service. If the URL is passed in the address field, this error shows up:


I can't see anything under service center -> logs.

I have also tried downloading the WSDL locally, and then import. Then I get this error:

It works fine with Outsystems 10.


What might be casuing this and suggestions for fix would be greatly appreciated.


Best regards,

Rói

It is worth mentioning that we are using Soap v. 1.1

Outsystems 11 added support for v.1.2, could this be an issue?

Rói Holgarsson wrote:

Hello,

After upgrading to Outsystems 11, it does not work to consume a SOAP service. If the URL is passed in the address field, this error shows up:


I can't see anything under service center -> logs.

I have also tried downloading the WSDL locally, and then import. Then I get this error:

It works fine with Outsystems 10.


What might be casuing this and suggestions for fix would be greatly appreciated.


Best regards,

Rói

I recently upgraded my mobile application to OS 11 which was developed in OS10. We are also consuming SOAP APIs. it was shown as a warning that the consumed SOAP APIs are deprecated. We followed the below steps and didn't face any issue:

1. copy the url for the WSDL file

2. Delete the existing consumed SOAP Services

3. create a new SOAP consume service

4. Paste the URL copied in step 1 when asked for.

The api is consumed successfully then. We had on observation that the existing structures of SOAP API changes significantly so we had to go to individual places and where the structures of the service is used and refresh them individually.

Regards,

Shounak


To work it on Outsystem 11 you need to update the WSDL file in a newer version of soap API. It will work fine. I hope this will help you to get a solution for it. 

Thank you